Package org.eclipse.graphiti.mm.pictograms.impl

# Class BoxRelativeAnchorImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.graphiti.mm.impl.PropertyContainerImpl
org.eclipse.graphiti.mm.impl.GraphicsAlgorithmContainerImpl
org.eclipse.graphiti.mm.pictograms.impl.PictogramElementImpl
org.eclipse.graphiti.mm.pictograms.impl.AnchorImpl
org.eclipse.graphiti.mm.pictograms.impl.AdvancedAnchorImpl
org.eclipse.graphiti.mm.pictograms.impl.BoxRelativeAnchorImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `GraphicsAlgorithmContainer`, `AdvancedAnchor`, `Anchor`, `BoxRelativeAnchor`, `PictogramElement`, `PropertyContainer`

public class BoxRelativeAnchorImpl extends AdvancedAnchorImpl implements BoxRelativeAnchor
An implementation of the model object 'Box Relative Anchor'.

The following features are implemented:

- `Relative Width`
- `Relative Height`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final double`
`RELATIVE_HEIGHT_EDEFAULT`
The default value of the '`Relative Height`' attribute.
`protected static final double`
`RELATIVE_WIDTH_EDEFAULT`
The default value of the '`Relative Width`' attribute.
`protected double`
`relativeHeight`
The cached value of the '`Relative Height`' attribute.
`protected double`
`relativeWidth`
The cached value of the '`Relative Width`' attribute.

### Fields inherited from class org.eclipse.graphiti.mm.pictograms.impl.AdvancedAnchorImpl

`USE_ANCHOR_LOCATION_AS_CONNECTION_ENDPOINT_EDEFAULT, useAnchorLocationAsConnectionEndpoint`

### Fields inherited from class org.eclipse.graphiti.mm.pictograms.impl.AnchorImpl

`incomingConnections, outgoingConnections, referencedGraphicsAlgorithm`

### Fields inherited from class org.eclipse.graphiti.mm.pictograms.impl.PictogramElementImpl

`active, ACTIVE_EDEFAULT, graphicsAlgorithm, link, visible, VISIBLE_EDEFAULT`

### Fields inherited from class org.eclipse.graphiti.mm.impl.PropertyContainerImpl

`properties`

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`BoxRelativeAnchorImpl()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected org.eclipse.emf.ecore.EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`double`
`getRelativeHeight()`
`double`
`getRelativeWidth()`
`void`
`setRelativeHeight(double newRelativeHeight)`
`void`
`setRelativeWidth(double newRelativeWidth)`
`String`
`toString()`

### Methods inherited from class org.eclipse.graphiti.mm.pictograms.impl.AdvancedAnchorImpl

`isUseAnchorLocationAsConnectionEndpoint, setUseAnchorLocationAsConnectionEndpoint`

### Methods inherited from class org.eclipse.graphiti.mm.pictograms.impl.AnchorImpl

`basicGetParent, basicGetReferencedGraphicsAlgorithm, basicSetParent, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, getIncomingConnections, getOutgoingConnections, getParent, getReferencedGraphicsAlgorithm, setParent, setReferencedGraphicsAlgorithm`

### Methods inherited from class org.eclipse.graphiti.mm.pictograms.impl.PictogramElementImpl

`basicGetGraphicsAlgorithm, basicGetLink, basicSetGraphicsAlgorithm, basicSetLink, getGraphicsAlgorithm, getLink, isActive, isVisible, setActive, setGraphicsAlgorithm, setLink, setVisible`

### Methods inherited from class org.eclipse.graphiti.mm.impl.PropertyContainerImpl

`getProperties`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.AdvancedAnchor

`isUseAnchorLocationAsConnectionEndpoint, setUseAnchorLocationAsConnectionEndpoint`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.Anchor

`getIncomingConnections, getOutgoingConnections, getParent, getReferencedGraphicsAlgorithm, setParent, setReferencedGraphicsAlgorithm`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.PictogramElement

`getGraphicsAlgorithm, getLink, isActive, isVisible, setActive, setGraphicsAlgorithm, setLink, setVisible`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

## Field Details

### RELATIVE_WIDTH_EDEFAULT

protected static final double RELATIVE_WIDTH_EDEFAULT
The default value of the '`Relative Width`' attribute.

See Also:
  - `getRelativeWidth()`
  - Constant Field Values

### relativeWidth

protected double relativeWidth
The cached value of the '`Relative Width`' attribute.

See Also:
  - `getRelativeWidth()`

### RELATIVE_HEIGHT_EDEFAULT

protected static final double RELATIVE_HEIGHT_EDEFAULT
The default value of the '`Relative Height`' attribute.

See Also:
  - `getRelativeHeight()`
  - Constant Field Values

### relativeHeight

protected double relativeHeight
The cached value of the '`Relative Height`' attribute.

See Also:
  - `getRelativeHeight()`

## Constructor Details

### BoxRelativeAnchorImpl

protected BoxRelativeAnchorImpl()

## Method Details

### eStaticClass

protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `AdvancedAnchorImpl`

### getRelativeWidth

public double getRelativeWidth()

Specified by:
  `getRelativeWidth` in interface `BoxRelativeAnchor`
Returns:
  the value of the 'Relative Width' attribute.
See Also:
  - `BoxRelativeAnchor.setRelativeWidth(double)`
  - `PictogramsPackage.getBoxRelativeAnchor_RelativeWidth()`

### setRelativeWidth

public void setRelativeWidth(double newRelativeWidth)

Specified by:
  `setRelativeWidth` in interface `BoxRelativeAnchor`
Parameters:
  `newRelativeWidth` - the new value of the 'Relative Width' attribute.
See Also:
  - `BoxRelativeAnchor.getRelativeWidth()`

### getRelativeHeight

public double getRelativeHeight()

Specified by:
  `getRelativeHeight` in interface `BoxRelativeAnchor`
Returns:
  the value of the 'Relative Height' attribute.
See Also:
  - `BoxRelativeAnchor.setRelativeHeight(double)`
  - `PictogramsPackage.getBoxRelativeAnchor_RelativeHeight()`

### setRelativeHeight

public void setRelativeHeight(double newRelativeHeight)

Specified by:
  `setRelativeHeight` in interface `BoxRelativeAnchor`
Parameters:
  `newRelativeHeight` - the new value of the 'Relative Height' attribute.
See Also:
  - `BoxRelativeAnchor.getRelativeHeight()`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `AdvancedAnchorImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `AdvancedAnchorImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `AdvancedAnchorImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `AdvancedAnchorImpl`

### toString

public String toString()

Overrides:
  `toString` in class `AdvancedAnchorImpl`